Package org.apache.sysds.runtime.compress.colgroup.scheme

## Class ConstScheme

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
  - - org.apache.sysds.runtime.compress.colgroup.scheme.ConstScheme

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

    public class ConstScheme
    extends ACLAScheme

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ConstScheme` `clone()`
`static ICLAScheme` `create​(ColGroupConst g)`
`static ICLAScheme` `create​(IColIndex cols, double[] vals)`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static ICLAScheme create​(ColGroupConst g)

#### create

    public static ICLAScheme create​(IColIndex cols,
                                    double[] vals)

#### clone

    public ConstScheme clone()

Specified by:
  `clone` in interface `ICLAScheme`
Specified by:
  `clone` in class `ACLAScheme`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`